<template>
  <div>
    <div class="answer-background" />
    <v-card
      class="card-answer mx-auto"
      outlined
    >
      <v-list-item three-line>
        <v-list-item-content>
          <div class="icon-jabarsurvey" />
          <v-list-item-subtitle class="content-answer">
            <v-row>
              <v-col>
                <html-binding-text :html="introduction" />
              </v-col>
            </v-row>
          </v-list-item-subtitle>
        </v-list-item-content>
      </v-list-item>
      <v-card-actions class="justify-center">
        <v-btn color="success" @click="letsAnswer">{{ $t('label.follow_survey') }}</v-btn>
      </v-card-actions>
    </v-card>
  </div>

</template>

<script>
import { mapGetters } from 'vuex'

export default {
  name: 'FormResponden',
  data() {
    return {
      introduction: ''
    }
  },
  computed: {
    ...mapGetters('survey', [
      'detailSurvey'
    ])
  },
  async created() {
    await this.$store.dispatch('survey/resetDetailSurvey')
    const key = this.$route.query && this.$route.query.key
    if (!key) { this.$router.push({ path: this.redirect || '/login' }) }
    await this.$store.dispatch('survey/getSurveyByKey', key)
    this.introduction = await this.detailSurvey.surveys.introduction
  },
  methods: {
    letsAnswer() {
      this.$router.push({ path: '/form/s/a', query: { key: this.$route.query.key }})
    }
  }
}
</script>
